# .github/release.yml

changelog:
  exclude:
    labels:
      - ui-dependency # these dont affect user environments
      - ui-replatform # lots of ongoing work, but not user facing... yet
  categories:
    - title: Breaking Changes ⚠️
      labels:
        - breaking
        - deprecation
    - title: New Features 🎉
      labels:
        - feature
    - title: Enhancements ➕➕
      labels:
        - enhancement
    - title: Bug Fixes 🐞
      labels:
        - fix
        - bug
    - title: Experimental 🔬
      labels:
        - experimental
    - title: Integrations & Dependencies 🤝
      labels:
        - integrations
        - upstream dependency
    - title: Development & Tidiness 🧹
      labels:
        - development
    - title: Documentation 📓
      labels:
        - docs
    - title: Uncategorized
      labels:
        - "*"